Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.file
Class FileSuffixFilter

    java.lang.Object
      org.jboss.util.file.FileSuffixFilter

All Implemented Interfaces:
  FileFilter

public class FileSuffixFilter
extends Object
implements FileFilter

A suffix based file filter.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon

Field Summary
`protected boolean` | `ignoreCase` Flag to signal that we want to ignore the case.
`protected String[]` | `suffixes` A list of suffixes which files must have to be accepted.

Constructor Summary
`FileSuffixFilter(String suffix)` Construct a case sensitive `FileSuffixFilter`.
`FileSuffixFilter(String[] suffixes)` Construct a `FileSuffixFilter`.
`FileSuffixFilter(String[] suffixes, boolean ignoreCase)` Construct a `FileSuffixFilter`.
`FileSuffixFilter(String suffix, boolean ignoreCase)` Construct a `FileSuffixFilter`.

Method Summary
`boolean` | `accept(File file)` Check if a file is acceptible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suffixes

    protected final String[] suffixes

  A list of suffixes which files must have to be accepted.

### ignoreCase

    protected final boolean ignoreCase

  Flag to signal that we want to ignore the case.

Constructor Detail

### FileSuffixFilter

    public FileSuffixFilter(String[] suffixes,
                            boolean ignoreCase)

  Construct a `FileSuffixFilter`.

Parameters:
  `suffixes` - A list of suffixes which files mut have to be accepted.
  `ignoreCase` - `True` if the filter should be case-insensitive.

### FileSuffixFilter

    public FileSuffixFilter(String[] suffixes)

  Construct a `FileSuffixFilter`.

Parameters:
  `suffixes` - A list of suffixes which files mut have to be accepted.

### FileSuffixFilter

    public FileSuffixFilter(String suffix,
                            boolean ignoreCase)

  Construct a `FileSuffixFilter`.

Parameters:
  `suffix` - The suffix which files must have to be accepted.
  `ignoreCase` - `True` if the filter should be case-insensitive.

### FileSuffixFilter

    public FileSuffixFilter(String suffix)

  Construct a case sensitive `FileSuffixFilter`.

Parameters:
  `suffix` - The suffix which files must have to be accepted.

Method Detail

### accept

    public boolean accept(File file)

  Check if a file is acceptible.

  Specified by:
    `accept` in interface `FileFilter`
  Parameters:
    `file` - The file to check.
  Returns:
    `true` if the file is acceptable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.